-- name: Minecraft Hangout Collection
-- description: A collection of nostalgic Minecraft maps to hangout in
-- incompatible: romhack


LEVEL_DANLAB = level_register('level_dans_lab_entry', COURSE_NONE, 'DanTDM Lab', 'dans_lab', 28000, 0x00, 0x28, 0x28)
LEVEL_BOTTLE = level_register('level_bottle_entry', COURSE_NONE, 'Village in a Bottle', 'villagebottle', 28000, 0x00, 0x28, 0x28)
LEVEL_TEMPLE = level_register('level_temple_entry', COURSE_NONE, 'Desert Temple', 'deserttemple', 28000, 0x00, 0x28, 0x28)
LEVEL_PACK = level_register('level_pack_entry', COURSE_NONE, 'Pack.png', 'packpng', 28000, 0x00, 0x28, 0x28)
LEVEL_LOBBY = level_register('level_castle_grounds_entry', COURSE_NONE, 'Castle Grounds', 'castlegrounds', 28000, 0x00, 0x28, 0x28)


function danslab()
    if gNetworkPlayers[0] then
        warp_to_level(LEVEL_DANLAB, 1, 0)
        return true
    end
end

hook_event(HOOK_ON_LEVEL_INIT, SpawnSkybox)
hook_chat_command("dantdm", "- Warps you to DanTDM's Lab", danslab)

function villagebottle()
    if gNetworkPlayers[0] then
        warp_to_level(LEVEL_BOTTLE, 1, 0)
        return true
    end
end

hook_event(HOOK_ON_LEVEL_INIT, SpawnSkybox)
hook_chat_command("village", "- Warps you to a village in a bottle", villagebottle)

function deserttemple()
    if gNetworkPlayers[0] then
        warp_to_level(LEVEL_TEMPLE, 1, 0)
        return true
    end
end

hook_event(HOOK_ON_LEVEL_INIT, SpawnSkybox)
hook_chat_command("temple", "- Warps you to a desert temple", deserttemple)

function packpng()
    if gNetworkPlayers[0] then
        warp_to_level(LEVEL_PACK, 1, 0)
        return true
    end
end

hook_event(HOOK_ON_LEVEL_INIT, SpawnSkybox)
hook_chat_command("pack.png", "- Warps you to pack.png", packpng)

function castlegrounds()
    if gNetworkPlayers[0] then
        warp_to_level(LEVEL_CASTLE_GROUNDS, 1, 0)
        return true
    end
end

hook_event(HOOK_ON_LEVEL_INIT, SpawnSkybox)
hook_chat_command("return", "- Warps you back to the Castle Grounds", castlegrounds)

